Subject: [Roll] compiling the todos on P DAO

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 5 Sep 2019 13:05:24 +0000

Dear all:

I'm willing to make a pass on the P-DAO to address the points that we made at the WG meeting at IETF 105 and continued on the ML around July 25 to 27, 2019.
I'll summarize my todo list below, please correct me if I misunderstood or missed items, and please use the relevant thread below to continue the discussion as needed:

https://mailarchive.ietf.org/arch/msg/roll/Z-ZZzL-NAVfgJAir35gG6YtCpkU Sibling information
We discussed the need to provide not only alternate parents but also links to siblings to the root. The siblings links would be for computing P2P routes that are not along the DODAG, e.g., non storing p-routes. We need meta like step of rank signaled for both parents and siblings. Also, we probably want that only one of the siblings advertises the link.

https://mailarchive.ietf.org/arch/msg/roll/b4D20dCabKgFrpxDuxs-1bZJRxQ Querying PDAO
We discussed the need for a node to ask for a path with one or more destination and constraints. We discussed the use of a DIS with constraints that we could express using RFC 6551 I guess.

https://mailarchive.ietf.org/arch/msg/roll/59IYmAmLoC1eLvS3GO8zYfTG7c0 Stitching PDAO segments
It takes a collection of segments to build a 6TiSCH Track. We need to signal that segments that we install separately belong to a same Track.

https://mailarchive.ietf.org/arch/msg/roll/KkcJYTjpMrOFvLbPhbLME0o1E1w Compressing the PDAO natively
Basically use RFC 8138 to compress the VIA option.

Anything else?

Pascal